## gentle 1.9%2Bcvs20100605%2Bdfsg1

=== debian/watch ===
version=4

# At the time of drafting this we would get
#    1.9+git20060619.172a741+dfsg-1
#opts="mode=git,pretty=1.9+git%cd.%h,repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*//g,repack,compression=xz" \
#    https://github.com/magnusmanske/gentle-m.git HEAD

# See issue https://github.com/magnusmanske/gentle-m/issues/1
# https://github.com/magnusmanske/gentle-m/releases .*/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

opts=dversionmangle=s/.*\+dfsg/0.No-Release/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

## gentle mxml-1.0.2

=== tests/cpan/perl/URI/Makefile ===
# This Makefile is for the URI extension to perl.
#
# It was generated automatically by MakeMaker version
# 7.70 (Revision: 77000) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#

#   MakeMaker Parameters:

#     ABSTRACT => q[Uniform Resource Identifiers (absolute and relative)]
#     AUTHOR => [q[Gisle Aas <gisle@activestate.com>]]
#     BUILD_REQUIRES => {  }
#     CONFIGURE_REQUIRES => { ExtUtils::MakeMaker=>q[0] }
#     DISTNAME => q[URI]
#     LICENSE => q[perl]
#     MIN_PERL_VERSION => q[5.008001]
#     NAME => q[URI]
#     PREREQ_PM => { Carp=>q[0], Cwd=>q[0], Data::Dumper=>q[0], Encode=>q[0], Exporter=>q[5.57], ExtUtils::MakeMaker=>q[0], File::Spec=>q[0], File::Spec::Functions=>q[0], File::Temp=>q[0], MIME::Base64=>q[2], Net::Domain=>q[0], Scalar::Util=>q[0], Test::Fatal=>q[0], Test::More=>q[0.96], Test::Needs=>q[0], Test::Warnings=>q[0], constant=>q[0], integer=>q[0], overload=>q[0], parent=>q[0], strict=>q[0], utf8=>q[0], warnings=>q[0] }
#     TEST_REQUIRES => { ExtUtils::MakeMaker=>q[0], File::Spec=>q[0], File::Spec::Functions=>q[0], File::Temp=>q[0], Test::Fatal=>q[0], Test::More=>q[0.96], Test::Needs=>q[0], Test::Warnings=>q[0], utf8=>q[0] }
#     VERSION => q[5.19]
#     test => { TESTS=>q[t/*.t] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib64/perl5/5.40/x86_64-linux/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = llvm-ar
CC = clang
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,-E
CPPRUN = clang  -E
DLEXT = so
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/lib/llvm/18/bin/llvm-ar
LD = clang
LDDLFLAGS = -shared -march=bdver2 -O2 -pipe -fpch-preprocess -fno-strict-aliasing -Wl,--as-needed
LDFLAGS = -Wl,--as-needed
LIBC = /lib/../lib64/libc.so.6
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 6.12.1-gentoo
RANLIB = llvm-ranlib
SITELIBEXP = /usr/local/lib64/perl5/5.40
SITEARCHEXP = /usr/local/lib64/perl5/5.40/x86_64-linux
SO = so
VENDORARCHEXP = /usr/lib64/perl5/vendor_perl/5.40/x86_64-linux
VENDORLIBEXP = /usr/lib64/perl5/vendor_perl/5.40


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = URI
NAME_SYM = URI
VERSION = 5.19
VERSION_MACRO = VERSION
VERSION_SYM = 5_19
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 5.19
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1
MAN3EXT = 3pm
MAN1SECTION = 1
MAN3SECTION = 3
INSTALLDIRS = site
DESTDIR = 
PREFIX = $(SITEPREFIX)
PERLPREFIX = /usr
SITEPREFIX = /usr/local
VENDORPREFIX = /usr
INSTALLPRIVLIB = /usr/lib64/perl5/5.40
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /usr/local/lib64/perl5/5.40
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = /usr/lib64/perl5/vendor_perl/5.40
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /usr/lib64/perl5/5.40/x86_64-linux
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /usr/local/lib64/perl5/5.40/x86_64-linux
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = /usr/lib64/perl5/vendor_perl/5.40/x86_64-linux
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /usr/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = /usr/local/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = /usr/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /usr/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = /usr/local/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = /usr/bin
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = /usr/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /usr/local/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = /usr/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = /usr/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /usr/local/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = /usr/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /usr/lib64/perl5/5.40
PERL_ARCHLIB = /usr/lib64/perl5/5.40/x86_64-linux
PERL_ARCHLIBDEP = /usr/lib64/perl5/5.40/x86_64-linux
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib64/perl5/5.40/x86_64-linux/CORE
PERL_INCDEP = /usr/lib64/perl5/5.40/x86_64-linux/CORE
PERL = "/usr/bin/perl"
FULLPERL = "/usr/bin/perl"
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /usr/lib64/perl5/5.40/ExtUtils/MakeMaker.pm
MM_VERSION  = 7.70
MM_REVISION = 77000

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = URI
BASEEXT = URI
PARENT_NAME = 
DLBASE = $(BASEEXT)
VERSION_FROM = 
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = 
C_FILES  = 
O_FILES  = 
H_FILES  = 
MAN1PODS = 
MAN3PODS = 

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIBDEP)$(DFSEP)Config.pm $(PERL_INCDEP)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = 
INST_DYNAMIC     = 
INST_BOOT        = 

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVEDEP    = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = 


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 7.70
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$$$ARGV[0], $$$$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(TRUE)
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
FALSE = false
TRUE = true
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --
CP_NONEMPTY = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'cp_nonempty' --


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = URI
DISTVNAME = URI-5.19


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	LD="$(LD)"\
	PREFIX="$(PREFIX)"\
	PASTHRU_DEFINE='$(DEFINE) $(PASTHRU_DEFINE)'\
	PASTHRU_INC='$(INC) $(PASTHRU_INC)'


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir pure_all subdirs clean_subdirs makemakerdflt manifypods realclean_subdirs subdirs_dynamic subdirs_pure_nolink subdirs_static subdirs-test_dynamic subdirs-test_static test_dynamic test_static



# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)

pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) blibdirs
	$(NOECHO) $(NOOP)

help :
	perldoc ExtUtils::MakeMaker


# --- MakeMaker blibdirs section:
blibdirs : $(INST_LIBDIR)$(DFSEP).exists $(INST_ARCHLIB)$(DFSEP).exists $(INST_AUTODIR)$(DFSEP).exists $(INST_ARCHAUTODIR)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists $(INST_SCRIPT)$(DFSEP).exists $(INST_MAN1DIR)$(DFSEP).exists $(INST_MAN3DIR)$(DFSEP).exists
	$(NOECHO) $(NOOP)

# Backwards compat with 6.18 through 6.25
blibdirs.ts : blibdirs
	$(NOECHO) $(NOOP)

$(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_LIBDIR)
	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists

$(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHLIB)
	$(NOECHO) $(TOUCH) $(INST_ARCHLIB)$(DFSEP).exists

$(INST_AUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_AUTODIR)
	$(NOECHO) $(TOUCH) $(INST_AUTODIR)$(DFSEP).exists

$(INST_ARCHAUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHAUTODIR)
	$(NOECHO) $(TOUCH) $(INST_ARCHAUTODIR)$(DFSEP).exists

$(INST_BIN)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_BIN)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_BIN)
	$(NOECHO) $(TOUCH) $(INST_BIN)$(DFSEP).exists

$(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_SCRIPT)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_SCRIPT)
	$(NOECHO) $(TOUCH) $(INST_SCRIPT)$(DFSEP).exists

$(INST_MAN1DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN1DIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_MAN1DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN1DIR)$(DFSEP).exists

$(INST_MAN3DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN3DIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_MAN3DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN3DIR)$(DFSEP).exists



# --- MakeMaker linkext section:

linkext :: dynamic
	$(NOECHO) $(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic section:

dynamic :: $(FIRST_MAKEFILE) config $(INST_BOOT) $(INST_DYNAMIC)
	$(NOECHO) $(NOOP)


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
static :: $(FIRST_MAKEFILE) $(INST_STATIC)
	$(NOECHO) $(NOOP)


# --- MakeMaker static_lib section:

## gentle 1.9+cvs20100605+dfsg

=== debian/changelog ===
gentle (1.9+cvs20100605+dfsg-3) unstable; urgency=low

  * Updated policy to 3.9.2
  * Rebuilt against later versions of mysql and tinyxml libraries

 -- Steffen Moeller <moeller@debian.org>  Fri, 03 Jun 2011 21:12:05 +0200
 

gentle (1.9+cvs20100605+dfsg-2) unstable; urgency=low

  * Adding build-dependency to libmysqlclient-dev (Closes: #585891)
    and to libsqlite3-dev, libsqlite0-dev
  * Changed format to 3.0 (quilt), removed dependency to cdbs and quilt,
    simplified debian/rules accordingly.
  * improved get-orig-source to remove directory checked out

 -- Steffen Moeller <moeller@debian.org>  Tue, 15 Jun 2010 16:38:33 +0200

gentle (1.9+cvs20100605+dfsg-1) unstable; urgency=low

  * Reupload in reaction to ftp-masters comments (Closes: #582959)
  * removed tinyurl and clustalw from source tree for DFSG compatibility
    - which introduced dependency to quilt
    - and provoked +dfsg suffix to version (not fully correct, yet)
  * invoking automake, autoconf during build
    - added those to build-dependencies
    - removed upstream Makefile and Makefile.in from source
  * declared 1.0 source format
  * removed doc-base lintian warning
  * explicitly listing man page as such, now correctly named GENtle.1
  * prepared for eventually adding gentle-dbg
  * compilation successfullly tested against gcc-4.5
  * added help/* to package
  * reupload to unstable

 -- Steffen Moeller <moeller@debian.org>  Wed, 02 Jun 2010 12:07:21 +0200

gentle (1.9+cvs20100531-1) experimental; urgency=low

  * Initial release.

 -- Steffen Moeller <moeller@debian.org>  Tue, 25 May 2010 00:08:31 +0200

=== debian/control ===
Source: gentle
Section: contrib/science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, libwxgtk2.8-dev, libtinyxml-dev, automake, autoconf, libmysqlclient-dev, libsqlite3-dev, libsqlite0-dev
Standards-Version: 3.9.2
Homepage: http://gentle.magnusmanske.de
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/gentle/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/gentle/trunk/

Package: gentle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: clustalw
Description: suite to plan genetic cloning
 GENtle is a software for DNA and amino acid editing, database management,
 plasmid maps, restriction and ligation, alignments, sequencer data
 import, calculators, gel image display, PCR, and much more.

#Package: gentle-dbg
#Architecture: any
#Depends: gentle, ${shlibs:Depends}, ${misc:Depends}
#Priority: extra
#Recommends: libtinyxml2.6.2-dbg|libtinyxml2.5.3-dbg
#Description: debug symbols for gentle suite for genetic cloning
# As every suite working with a series of independently developed
# programs, also GENtle tends to be perceived as rather complex.
# This package prepares users and developers to communicate
# over hunting and eliminating bugs.
#
# Why doesn't this work?

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

CXXFLAGS="-D__DEBIAN__ -O2 -g -Wno-write-strings -DUSE_EXTERNAL_CLUSTALW"

configure: configure-stamp
configure-stamp:
	dh_testdir
	echo "configuring with own configure!"
	aclocal
	automake
	autoconf
	CXXFLAGS=$(CXXFLAGS) ./configure --prefix=/usr 
	for i in help/*.html help/*.css *.db help/*.htm */*.png */*.x[bp]m */*.bmp *.txt */*.txt *.csv; do chmod -x "$$i"; done
	touch $@

build build-arch:	build-stamp
build-stamp: configure-stamp
	dh_testdir
	echo "building with own build!"
	$(MAKE) CXXFLAGS=$(CXXFLAGS) 
	touch $@

build-indep:
	echo "Nothing to do for build-indep"

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	#dh_strip --dbg-package=gentle-dbg
	dh_strip
	dh_compress -X.pdf
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

install install-arch: build-stamp
	dh_install
	find debian -name "license.txt" | xargs -r rm

install-indep:
	echo Nothing to do for install-indep

binary-indep: 
	#$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
	echo Nothing to do for binary-indep

binary-arch: install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep

clean:: 
	dh_testdir
	dh_testroot
	find . -name "*.o"  | xargs -r rm
	rm -f GENtle
	dh_clean build-arch-stamp build-indep-stamp configure-stamp build-stamp


VERSION=1.9+cvs$(shell date +"%Y%m%d"|tr -d ' \t\n')+dfsg
get-orig-source:
	dh_testdir
	if [ -d GENtle ]; then \
		echo "Previous checkout exists as folder 'GENtle', please remove." ; \
		exit -1 ; \
	fi
	if [ -d "gentle-$(VERSION)" ]; then \
		echo "Previous checkout exists as folder 'gentle-$(VERSION)', please remove." ; \
		exit -1 ; \
	fi
	cvs -z3 -d:pserver:anonymous@gentle-m.cvs.sourceforge.net:/cvsroot/gentle-m co -P GENtle
	mv GENtle "gentle-$(VERSION)"
	GZIP="--best --no-name" tar --exclude Makefile.in --exclude Makefile --exclude CVS --exclude tinyxml \
		    --exclude .deps --exclude .cvsignore --exclude Makefile.in --exclude Makefile.linux \
		    --exclude clustalw \
		    -czvf "../gentle_$(VERSION).orig.tar.gz" "gentle-$(VERSION)"
	rm "gentle-$(VERSION)"

## gentle 1.9+cvs20100605+dfsg1

=== debian/changelog ===
gentle (1.9+cvs20100605+dfsg1-9) unstable; urgency=medium

  [ Steffen Moeller ]
  * debhelper-compat 13
  * d/u/metadata: Added SciCrunch RRID
  * d/control:
    - Standards-Version: 4.5.0
    - R-R-R: no

  [ Andreas Tille ]
  * Standards-Version: 4.5.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 17 Dec 2020 15:40:47 +0100

gentle (1.9+cvs20100605+dfsg1-8) unstable; urgency=medium

  * rebuild against wxWidgets GTK 3 package
    Closes: #933449
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog
  * Drop --list-missing from dh_install

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jul 2019 16:39:34 +0200

gentle (1.9+cvs20100605+dfsg1-7) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/u/metadata: Added RRIDs

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.0
  * d/rules: do not parse d/changelog
  * d/copyright: Add Files-Excluded
  * d/watch: Add comment what we could use to fetch source from Git but
    it seems that Github is lagging behind the code we have in this tarball
  * Do not install todo.txt

 -- Andreas Tille <tille@debian.org>  Fri, 24 Aug 2018 14:28:20 +0200

gentle (1.9+cvs20100605+dfsg1-6) unstable; urgency=medium

  * Fix propagation of CXXFLAGS
    Closes: #853830

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2017 14:23:43 +0100

gentle (1.9+cvs20100605+dfsg1-5) unstable; urgency=medium

  * cme fix dpkg-control
  * d/copyright: Source now at Github
  * add fake watch file pointing to upstream issue asking for release tags
  * Build-Depends: default-libmysqlclient-dev
    Closes: #845844
  * debhelper 10
  * d/rules: drop get-orig-source target that will not work any more but
    do not provide new one as long as upstream has not yet answered the
    issue requesting release tags
  * Remove redundant README.Debian since the information is in (and belongs
    to) README.source
  * hardening=+all
  * debian/menu: removed

 -- Andreas Tille <tille@debian.org>  Thu, 01 Dec 2016 16:02:20 +0100

gentle (1.9+cvs20100605+dfsg1-4) unstable; urgency=medium

  * Team upload
  * Add .desktop file and icons for GENtle
  * Migrate packaging to Git
  * Fix formatting of debian/copyright
  * Do not depend on libsqlite0
    - Thanks to Dmitrijs Ledkovs for the patch!
  * Refresh patches

 -- Matthias Klumpp <mak@debian.org>  Sat, 22 Aug 2015 20:30:52 +0200

gentle (1.9+cvs20100605+dfsg1-3) unstable; urgency=medium

  [ Olly Betts ]
  * Update to use wxWidgets 3.0 (new patch wx3.0-compat.patch).
  * Fix mismatching format codes in printf and scanf (new patch
    fix-format-codes.patch).
    Closes: #750906

  [ Andreas Tille ]
  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 25 Jun 2014 13:55:53 +0200

gentle (1.9+cvs20100605+dfsg1-2) unstable; urgency=low

  * debian/control:
     - cme fix dpkg-control
     - use anonscm in Vcs fields
     - remove unneeded Build-Depends
  * debian/rules
    - Short dh using --with autoreconf
      (Thanks to Hideki Yamane <henrich@debian.org> for his initial
       patch which gave the inspiration for the change above)
      Closes: #724221
  * debian/copyrigh: DEP5
  * install both translations of the manual but use better names and
    fix according doc-base files
  * debian/menu: Fix section
  * debian/gentle.install: Install user tips properly

 -- Andreas Tille <tille@debian.org>  Wed, 16 Oct 2013 08:19:37 +0200

gentle (1.9+cvs20100605+dfsg1-1) unstable; urgency=low

  * debian/rules:
     - Make sure that binary dlls will be deleted when unpacking
       Closes: #685149
     - Use xz compression for upstream source
     - Drop *.a files from upstream source in get-orig-source target
  * Versioned depends from DFSG free clustalw -> package can go to main
  * debian/control:
     - fix broken VCS fields
     - Standards-Version: 3.9.4 (no changes needed)
  * debian/upstream: Add citation information

 -- Andreas Tille <tille@debian.org>  Fri, 17 Aug 2012 14:36:52 +0200

=== debian/control ===
Source: gentle
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-libmysqlclient-dev,
               libsqlite3-dev,
               libtinyxml-dev,
               libwxgtk3.0-gtk3-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/gentle
Vcs-Git: https://salsa.debian.org/med-team/gentle.git
Homepage: http://gentle.magnusmanske.de
Rules-Requires-Root: no

Package: gentle
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: clustalw
Description: suite to plan genetic cloning
 GENtle is a software for DNA and amino acid editing, database management,
 plasmid maps, restriction and ligation, alignments, sequencer data
 import, calculators, gel image display, PCR, and much more.

=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #    https://github.com/magnusmanske/gentle-m.git HEAD
 
 # See issue https://github.com/magnusmanske/gentle-m/issues/1
-# https://github.com/magnusmanske/gentle-m/releases .*/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
+# https://github.com/magnusmanske/gentle-m/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
 
 opts=dversionmangle=s/.*\+dfsg/0.No-Release/ \
 https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

## gentle 1.9.5~alpha1%2Bdfsg

=== debian/control ===
Source: gentle
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-libmysqlclient-dev,
               libsqlite3-dev,
               libtinyxml-dev,
               libwxgtk3.2-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/gentle
Vcs-Git: https://salsa.debian.org/med-team/gentle.git
Homepage: http://gentle.magnusmanske.de
Rules-Requires-Root: no

Package: gentle
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: clustalw
Suggests: xdg-utils
Description: suite to plan genetic cloning
 GENtle is a software for DNA and amino acid editing, database management,
 plasmid maps, restriction and ligation, alignments, sequencer data
 import, calculators, gel image display, PCR, and much more.

## gentle 1.9.5~alpha1+dfsg

=== debian/changelog ===
gentle (1.9.5~alpha1+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:40:54 +0000

gentle (1.9.5~alpha1+dfsg-1build1) noble; urgency=high

  * No change rebuild against libwxbase3.2-1t64, libwxgtk3.2-1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:09:19 +0100

gentle (1.9.5~alpha1+dfsg-1) unstable; urgency=medium

  * Upstream accepted all our patches.
  * Many smallish bug fixes hinted by modern compilers that should improve
    stability.

 -- Steffen Moeller <moeller@debian.org>  Thu, 07 Sep 2023 16:18:05 +0200

gentle (1.9+cvs20100605+dfsg1-13) UNRELEASED; urgency=medium

  * Increased size of char[]s (factor 10) to
    - accomodate longer sequence lines and/or
    - avoid compiler warnings.
  * Now opening website with /usr/bin/open (provided e.g. by xdg-utils)
  * Update of upstream repository.

 -- Steffen Moeller <moeller@debian.org>  Mon, 31 Jul 2023 14:44:40 +0200

gentle (1.9+cvs20100605+dfsg1-12) unstable; urgency=medium

  * Added more patches to eradicate compiler warnings on font selection.
  * Restored order of patches in d/p/series -> new patches last.
  * Not showing modal dialog announcing read-in of markers.txt
  * Corrected for run-time checks by wxWidgets for wxEXPAND dominating other
    widget-orientation flags.

 -- Steffen Moeller <moeller@debian.org>  Sun, 30 Jul 2023 01:21:41 +0200

gentle (1.9+cvs20100605+dfsg1-11) unstable; urgency=medium

  * clang pointed to mismatch between dynamic allocations of arrays
    with new and omitted []s in corresponding delete (forwarded as PR#3)
  * Fixed prior unnoticed issues with operator precedence (forwarded as PR#4)
  * Standards-Version: 4.6.2

 -- Steffen Moeller <moeller@debian.org>  Sun, 29 Jul 2023 00:08:55 +0200
 

gentle (1.9+cvs20100605+dfsg1-10) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * transition to wxwidgets3.2
    Closes: #1019809
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.1 (routine-update)

  [ Scott Talbert ]
  * Patch for compatibility with wxWidgets 3.2

  [ Étienne Mollier ]
  * d/rules: convert tips_de.txt to utf8 for encoding consistency.
  * d/s/lintian-overrides: add; document false positive errors.

 -- Étienne Mollier <emollier@debian.org>  Fri, 16 Sep 2022 21:50:52 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_CXXFLAGS_MAINT_APPEND = -D__DEBIAN__ -O2 -g -Wno-write-strings -DUSE_EXTERNAL_CLUSTALW
include /usr/share/dpkg/default.mk

%:
	dh $@

execute_before_dh_auto_build:
	mv tips_de.txt tips_de.iso8859
	iconv -f ISO-8859-15 -t UTF-8 < tips_de.iso8859 > tips_de.txt

execute_after_dh_auto_build:
	mv  tips_de.iso8859 tips_de.txt

override_dh_install:
	dh_install
	cd debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE); for i in help/*.html help/*.css *.db help/*.htm */*.png */*.x[bp]m */*.bmp *.txt */*.txt *.csv; do chmod -x "$$i"; done
	find debian -name "license.txt" | xargs -r rm

override_dh_installdocs:
	dh_installdocs
	cp -a docs/GENtle*en*.pdf    debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/GENtle_manual.pdf
	cp -a docs/GENtle*Manual.pdf debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/GENtle_manual_de.pdf
	find debian -name todo.txt -delete

override_dh_auto_clean:
	dh_auto_clean
	find . -name "*.o"  | xargs -r rm
	if [ -e tips_de.iso8859 ]; then mv tips_de.iso8859 tips_de.txt; fi
	rm -f GENtle

override_dh_compress:
	dh_compress --exclude=.pdf

=== debian/watch ===
version=4
opts="repack,repacksuffix=+dfsg,uversionmangle=s%\.alpha%~alpha%,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/GENtle-persons/gentle-m/tags (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## gentle 1.9.5~alpha2+dfsg1

=== debian/changelog ===
gentle (1.9.5~alpha2+dfsg1-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: uses mysql_config and the build architecture pkg-config
    Closes: #1107615

  [ Andreas Tille ]
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 1.9+cvs20100605+dfsg1-11.
  * d/copyright: use only DEP5 fields

 -- Andreas Tille <tille@debian.org>  Tue, 09 Dec 2025 17:09:40 +0100

gentle (1.9.5~alpha2+dfsg1-2) unstable; urgency=medium

  * Team upload
  * gcc-14-32-bit.patch: new: fix build failure on 32-bit architectures.

 -- Étienne Mollier <emollier@debian.org>  Fri, 11 Oct 2024 10:56:26 +0200

gentle (1.9.5~alpha2+dfsg1-1) unstable; urgency=medium

  * documentation - finally decided not to redistribute GFDLed
    docs/manual.adoc and all associated images to circumvent
    license discussion (thanks to Étienne Mollier for spotting that).
  * d/control: Added constraint on wxWidgets >= 3.2.5
    because of https web access.

 -- Steffen Moeller <moeller@debian.org>  Sun, 22 Sep 2024 11:36:57 +0200

gentle (1.9.5~alpha2+dfsg-1) UNRELEASED; urgency=medium

  * Alignments are working (Closes: #732691)
  * Web-access to NCBI resources now via https are working.
  * d/control:
    - bumped policy version
    - improved description
  * d/u/metadata: Added ref to bio.tools
  * updated patches, copyright and lintian overrides
    to new upstream source structure
  * documentation
    - transitioned to asciidoc shipping with source tree
    - removed German documentation.
  * first autotests
  * added lintian overrides
  * updated man page

 -- Steffen Moeller <moeller@debian.org>  Thu, 05 Sep 2024 12:02:48 +0200

=== debian/control ===
Source: gentle
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-libmysqlclient-dev,
               libsqlite3-dev,
               libtinyxml-dev,
               libwxgtk3.2-dev (>= 3.2.5),
               pkgconf,
               libgtest-dev <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/gentle
Vcs-Git: https://salsa.debian.org/med-team/gentle.git
Homepage: http://gentle.magnusmanske.de
Rules-Requires-Root: no

Package: gentle
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: clustalw
Suggests: xdg-utils
Description: suite for molecular cloning and sequence analysis
 GENtle is an open-source tool designed to facilitate molecular cloning,
 DNA/RNA sequence analysis, and plasmid design. It provides an intuitive
 graphical interface for visualizing and editing nucleotide sequences,
 creating and managing cloning projects, and simulating restriction
 digests. GENtle supports multiple formats for sequence import/export
 and includes features for primer design, sequence alignment,
 and annotation, sequencer data import, calculators, gel image display,
 PCR, and much more.

# Pending license change of docs/manual.adoc
#Build-Depends-Indep: asciidoctor, ruby-asciidoctor-pdf

=== debian/watch ===
Version: 5

Template: Github
Owner: GENtle-persons
Project: gentle-m
Repack-Suffix: +dfsg
Uversion-Mangle: s%\.alpha%~alpha%
Dversion-Mangle: auto
